import { ProvidersService } from 'fccore2';
import { FcinputComponent } from '../fcinput';
/**
 * fc-link链接
 *
 * 链接组件。
 *
 * 点击需要跳转到其他网址或地址。
 *
 */
export declare class FclinkComponent extends FcinputComponent {
    provider: ProvidersService;
    /**名称*/
    fcLabel: string;
    /**是否有线*/
    fcHasline: string;
    _hasLine: boolean;
    /**设置字体颜色*/
    fcColor: string;
    /**设置字体的大小*/
    fcSize: string;
    /**链接跳转*/
    fcHref: string;
    constructor(provider: ProvidersService);
    ngOnChanges(param: any): void;
    _afterParentInit(): void;
}
